Forum des Objets Communicants et Solutions pour les Libérer...


 
AccueilAccueil  GalerieGalerie  FAQFAQ  RechercherRechercher  S'enregistrerS'enregistrer  Connexion  

Partagez | 
 

 Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.

Voir le sujet précédent Voir le sujet suivant Aller en bas 
AuteurMessage
totone
Lapin nain
Lapin nain


Localisation : Loire Atltantique
Nbr de messages : 36
Carottes : 2077

MessageSujet: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 5 Oct 2011 - 16:31

Salut à tous.

Je vais essayer d'expliquer au mieux la façon d'installer OJN sur une debian Squeeze.
Merci de me corriger si des inepties ou si des fautes sont présentes.
Je part du principe que vous disposez d'un domaine dirigé vers votre serveur dédié et que ceci est fonctionnel (ce tuto ne traite pas cette partie) ou alors vous rejoindrez votre serveur via son IP (ce tuto ne traite pas non plus cette partie).
Les commandes lancées avec :~# sont en root et les commandes en :~$ sont lancées en utilisateur, copiez donc les commandes après le $ et le # s'il vous plait...

1.Disposez vous de tout les paquets necessaire ?

  • Serveur apache2 (avec le mod rewrite) + php
  • Qt en version 4.3 minimum (avec les librairies de développement)


Si vous ne diposez pas de ces paquets ou par acquis de conscience vous pouvez installer tout ce qu'il faut.

  • Pour apache2 : apache2 apache2-doc apache2-mpm-prefork apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-curl php5-dev php5-gd php5-idn php-pear php5-imagick php5-imap php5-json php5-mcrypt php5-memcache php5-mhash php5-ming php5-mysql php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl

  • Pour Qt : libqwt5-qt4-dev


Pensez à activer le Rewrite d'apache2 et redémarrer apache pour que tout focntionne :
Code:

:~#a2enmod rewrite
:~#/etc/init.d/apache2 restart

Création de l'utilisateur dédié à l'utilisation d' OJN :

Loguer vous en root sur la machine, et ajoutez l'utilisateur :
Code:

:~#adduser nabaztag
Répondez aux questions ou laissez vide (sauf pour le mot de passe Rolling Eyes )

Récupération du serveur OJN

Plaçons nous dans le répertoire de l'utilisateur dédié :
Code:

:~#cd /home/nabaztag
Ensuite téléchargeons le serveur OpenJabNab
Code:

:~/home/nabaztag#git clone https://github.com/OpenJabNab/OpenJabNab.git
Rendons propriétaire notre utilisateur de tout les fichiers
Code:

:~/home/nabaztag#chown -R nabaztag:nabaztag /home/nabaztag/OpenJabNab/

Compilation et paramètrage d' OJN

Nous allons donc nous logguer avec l'utilisateur nabaztag, et lancer la compilation.
Code:

:~$cd OpenJabNab/server
:~/OpenJabNab/server$qmake -r
:~/OpenJabNab/server$make
Une fois la compilation terminé.
/!\ Regardez bien qu'il n'y ai aucune erreur de compilation /!\
Copiez le fichier openjabnab.ini-dist dans le répertoire bin, et renommons le par la même occasion.
Code:
cp openjabnab.ini-dist bin/openjabnab.ini
Editez le fichier à votre guise avec votre utilitaire de texte favoris vi, vim, nano etc..., le contenu du fichier est expliqué ici : http://ojnwiki.psnet.fr/configurer_openjabnab
Code:

:~/OpenJabNab/server$vim bin/openjabnab.ini
Remplacez my.domain.com par le votre ou par votre IP

Configurez les Plugins :
Toujours logué en utilisateur nabaztag nous allons créer le fichier annuaire, utilisez votre utilitaire de texte favoris vi, vim, nano etc...
Code:

:~/OpenJabNab/server$vim bin/plugins/plugin_annuaire.ini
et inserez dedans :
Code:

[global]
URL=freenabaztag.com
Sauvegardez et quittez.

Création du Virualhost pour apache2 :

Personnellement j'ai crée un VirtualHost dans apache2, je ne détaille pas ce qu'est un virtualhost ici google est rempli de beaucoup d'articles qui expliquent ça mieux que moi...
Nous sommes donc logués en root :~#
Nous allons créer le fichier comme d'habitude vous prenez votre éditeur de texte favoris vous aurez compris que moi c'est vim
Code:

:~#vim /etc/apache2/sites-available/my.domain.com

Voici le contenu de ce fameux fichier :

Code:

<VirtualHost *:80>
        DocumentRoot    /home/nabaztag/OpenJabNab/http-wrapper/
        ServerName      my.domain.com

        <Directory /home/nabaztag/OpenJabNab/http-wrapper/>
                AllowOverride all
        </Directory>
</VirtualHost>
Enregistrez le fichier.
Vous l'aurez compris le paragraphe contenant Directory est simplement là pour activer le mod rewrite en s'appuyant sur le fichier .htaccess

Ensuite chargez le site en faisant un
Code:

:~#a2ensite my.domain.com

Installation du serveur via le web

Veuillez mettre une écriture pour tout le monde sur le dossier /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/include
Pour ce faire loguez vous en root :
Code:

:~#chmod 0777 /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/include

Il vous suffit de vour rendre avec votre naviguateur internet préféré sur http://my.domain.net/ojn_admin/install.php
et de répondre à la question.

Une fois ceci fait votre serveur est pret à être lancé.

Lancement du serveur :
Loguez vous en utilisateur :~$
Code:

:~$cd /OpenJabNab/server
:~/OpenJabNab/server$./bin/openjabnab
Normallement votre console doit ressembler à :

Code:

./bin/openjabnab
-- OpenJabNab Start --
Finding tts in : /home/nabaztag/OpenJabNab/server/bin/tts
TTSInterface::TTSInterface(QString, QString) : Unable to create tts directory !

Loading libtts_acapela.so : acapela OK, Enable : Yes
TTSInterface::TTSInterface(QString, QString) : Unable to create tts directory !

Loading libtts_google.so : google OK, Enable : Yes
Finding accounts in : /home/nabaztag/OpenJabNab/server/bin/accounts
void AccountManager::LoadAccounts() : No account loaded ... inserting default admin
Total of accounts: 1
Finding plugins in : /home/nabaztag/OpenJabNab/server/bin/plugins
QDir* PluginInterface::GetLocalHTTPFolder() const : Unable to create plugins directory !

Loading libplugin_airquality.so : airquality OK, Enable : Yes
Loading libplugin_annuaire.so : annuaire OK, Enable : Yes
Loading libplugin_auth.so : auth OK, Enable : Yes
Loading libplugin_cinema.so : cinema OK, Enable : Yes
Cron Started...
Cron Register : Clock - mer. oct. 5 16:00:00 2011
QDir* PluginInterface::GetLocalHTTPFolder() const : Unable to create plugins directory !

Loading libplugin_clock.so : clock OK, Enable : Yes
Loading libplugin_colorbreathing.so : colorbreathing OK, Enable : Yes
Loading libplugin_dice.so : dice OK, Enable : Yes
Loading libplugin_ears.so : ears OK, Enable : Yes
QString::arg: 2 argument(s) missing in
Loading libplugin_ephemeride.so : ephemeride OK, Initialisation failed
Loading libplugin_locate.so : locate OK, Enable : Yes
Loading libplugin_msgall.so : msgall OK, Enable : Yes
QDir* PluginInterface::GetLocalHTTPFolder() const : Unable to create plugins directory !

Loading libplugin_music.so : music OK, Initialisation failed
Loading libplugin_packet.so : packet OK, Enable : Yes
Loading libplugin_ratp.so : ratp OK, Enable : Yes
QDir* PluginInterface::GetLocalHTTPFolder() const : Unable to create plugins directory !

Loading libplugin_record.so : record OK, Enable : Yes
Loading libplugin_rfid.so : rfid OK, Enable : Yes
Loading libplugin_sleep.so : sleep OK, Enable : Yes
Loading libplugin_stats.so : stats OK, Enable : Yes
Loading libplugin_surprise.so : surprise OK, Enable : Yes
Loading libplugin_taichi.so : taichi OK, Enable : Yes
Loading libplugin_test.so : test OK, Enable : Yes
Loading libplugin_tts.so : tts OK, Enable : Yes
QString::arg: 2 argument(s) missing in
Loading libplugin_tv.so : tv OK, Initialisation failed
QDir* PluginInterface::GetLocalHTTPFolder() const : Unable to create plugins directory !

Loading libplugin_weather.so : weather OK, Enable : Yes
Loading libplugin_webradio.so : webradio OK, Enable : Yes
Loading libplugin_wizzflux.so : wizzflux OK, Enable : Yes
Finding bunnies in : /home/nabaztag/OpenJabNab/server/bin
Finding ztamps in : /home/nabaztag/OpenJabNab/server/bin/ztamps
XMPP Port is: 5222
Parsing of HTTP Api is enabled

Pour le lancer j'utilise screen, ça permet de laisser un terminal "ouvert" sur la machine, comme ça quand vous vous deconnectez vous avez toujours votre application qui fonctionne.
Code:

:~$cd /OpenJabNab/server
:~/OpenJabNab/server$screen -admS nabaztag ./bin/openjabnab
je vous laisse aller lire le manuel de screen pour comprendre comment s'en servir => http://doc.ubuntu-fr.org/screen
Les commandes de base sont :
  1. screen -ls qui liste tout les screens lancés
  2. screen -r 'lenomduscreen' pour rentrer dans le screen et voir ce qu'il s'y passe.
  3. screen A+D pour détacher le screen sans le fermer (touche A et touche D pressées simultanément)


N'oubliez pas d'ouvrir le port 5222 sur le parefeu du serveur et tout sera OK.
Je me tient à votre disposition sur ce topic pour toute questions ou si j'ai oublié de détailler ou ou des points importants.
Merci de m'avoir lu et bonne installation.

nabzinlove


Dernière édition par totone le Mer 5 Oct 2011 - 20:40, édité 2 fois
Revenir en haut Aller en bas
htristra
Silver Nabz
Silver Nabz


Age : 41
Localisation : Val d'oise France
Nabaztag : lapou et laptaf
Nbr de messages : 364
Carottes : 2532

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 5 Oct 2011 - 17:22

Merci pour le tuto, il n'y en aura jamais assez.
Pour le démarrage, je préfère les init.d. Voici le mien, à mon avis, il y a beaucoup de variations possibles en fonction de la distrib. L'avantage que j'y vois est de rester standard. Cela permet une intégration du monitoring. Chez moi je passe par Monit qui est bien pratique pour redémarrer un daemon en cas de soucis.

Code:

#!/bin/sh

PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Description of the service"
NAME=ojn
DAEMON=/home/apache/openJabNab/20111004-1613/server/bin/openjabnab
DIR=$(dirname $DAEMON)
DAEMON_ARGS=""
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
   start-stop-daemon -b  --chuid htristra:www-data --chdir $DIR --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
      || return 1
   start-stop-daemon -b  --chuid htristra:www-data --chdir $DIR --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
      $DAEMON_ARGS \
      || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{

   start-stop-daemon  --chuid htristra:www-data --chdir $DIR --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
   RETVAL="$?"
   [ "$RETVAL" = 2 ] && return 2
   start-stop-daemon  --chuid htristra:www-data --chdir $DIR --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
   [ "$?" = 2 ] && return 2
   rm -f $PIDFILE
   return "$RETVAL"
}

case "$1" in
  start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
   do_start
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
        p=$(pgrep openjabnab)
        echo "PID = $p"
   echo $p > $PIDFILE
   ;;
  stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
   do_stop
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  status)
      status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
      ;;
  restart|force-reload)
   #
   # If the "reload" option is implemented then remove the
   # 'force-reload' alias
   #
   log_daemon_msg "Restarting $DESC" "$NAME"
   do_stop
   case "$?" in
     0|1)
      do_start
      case "$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   #echo "Usage: $SCRIPTNAME {start|stop|restart}" >&2
   echo "Usage: $SCRIPTNAME {start|stop|status}" >&2
   exit 3
   ;;
esac
Revenir en haut Aller en bas
Hikkyu
Lapin nain
Lapin nain


Localisation : France
Nbr de messages : 12
Carottes : 3022

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 4:24

Hello!

Merci beaucoup pour ce tuto!
J'ai juste un souci et j'aimerai savoir si tu as rencontré le même problème:
Le serveur démarre bien, j'ai bien l'interface d'administration mais admin/admin ne fonctionne pas. J'essaie alors de créer un nouvel utilisateur mais impossible, il me dit "error:"

Rien à faire, ça fait 4h que je suis dessus j'ai essayé plusieurs chose :
j'ai passé à true toutes les valeurs d'authent d'openjabnab.ini
j'ai cloné plusieurs versions de fork
J'ai bien vérifié ma conf php
(et sûrement d'autre truc...)

Pour info je l'ai installé sur une dedibox
nab.loveindent.io

EDIT:
Je viens de voir le post : http://nabaztag.forumactif.fr/t13391p15-probleme-ojn-compte-utilisateur
J'ai en effet une erreur :
[Sat May 11 04:06:07 2013] [error] [client 82.224.78.128] PHP Notice: Undefined index: plugins in /var/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 44, referer: http://nab.loveindent.io/ojn_admin/register.php

J'ai aucune idée d'où ça pourrai venir...
Revenir en haut Aller en bas
loloz3
Bronze Nabz
Bronze Nabz
avatar

Age : 44
Localisation : Montpellier
Nabaztag : loloz3 (v2) Alex34 (v2)
Nbr de messages : 116
Carottes : 3963

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 13:59

verifies ton fichier bin/openjabnab.ini

AllowAnonymousRegistration=true <======= à vérifier
AllowUserManageBunny=true <======= à vérifier
AllowUserManageZtamp=true <======= à vérifier
Revenir en haut Aller en bas
http://www.nabaztag.fr
Hikkyu
Lapin nain
Lapin nain


Localisation : France
Nbr de messages : 12
Carottes : 3022

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 14:15

Oui tout est bon
Code:
[Config]
httpListener = true
httpApi = true
httpVioletApi = true
xmppListener = true
RealHttpRoot = ../../http-wrapper/ojn_local/
HttpRoot = ojn_local
HttpPluginsFolder = plugins
StandAloneAuthBypass = true
AllowAnonymousRegistration=true
AllowUserManageBunny=true
AllowUserManageZtamp=true
SessionTimeout=300
TTS=acapela
MaxNumberOfBunnies=64
MaxBurstNumberOfBunnies=72

[OpenJabNabServers]
PingServer=nab.loveindent.io
BroadServer=nab.loveindent.io
XmppServer=nab.loveindent.io
ListeningHttpPort=8080
ListeningXmppPort=5222

[Log]
LogFile=openjabnab.log
LogFileLevel=Debug
LogScreenLevel=Warning
DisplayCronLog=false
Revenir en haut Aller en bas
loloz3
Bronze Nabz
Bronze Nabz
avatar

Age : 44
Localisation : Montpellier
Nabaztag : loloz3 (v2) Alex34 (v2)
Nbr de messages : 116
Carottes : 3963

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 14:32

As-tu une erreur quand tu exécutes openjabnab ?

... chez moi, j'ai du remplacer :
RealHttpRoot = ../../http-wrapper/ojn_local/
par
RealHttpRoot = /var/www/OpenJabNab/http-wrapper/ojn_local/
Revenir en haut Aller en bas
http://www.nabaztag.fr
Hikkyu
Lapin nain
Lapin nain


Localisation : France
Nbr de messages : 12
Carottes : 3022

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 19:05

Humm bonne piste mais ce n'est toujours pas ça...

Petit détail, je n'ai pas déployé le dossier OpenJabNab dans www, tu pense que ça peut avoir un impact? Je réessaye dès que j'ai 5 minutes

Merci pour ton aide
Revenir en haut Aller en bas
tikismoke
Bronze Nabz
Bronze Nabz
avatar

Localisation : Pays de la moutarde
Nabaztag : Nabaztiki
Nbr de messages : 295
Carottes : 3833

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 20:08

J'avais ce soucis à cause du port 8080 configuré dans apache au lieux de tout simplement l'ouvrir sur mon par-feux. Je l'ai changer dans cet conf en 8070 car d'autres services utilisaient déjà le 8080 dans ce post:

http://nabaztag.forumactif.fr/t14659-ojn-sur-une-debian-apache2
Revenir en haut Aller en bas
http://palmattitude.com
loloz3
Bronze Nabz
Bronze Nabz
avatar

Age : 44
Localisation : Montpellier
Nabaztag : loloz3 (v2) Alex34 (v2)
Nbr de messages : 116
Carottes : 3963

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Sam 11 Mai 2013 - 22:50

...idée au hazard...

le fichier account.php utilise le fichier include/common.php ... et comme c'est le seul fichier modifié lors du 1er lancement...
- Es-ce que ton sous-repertoire "include" à les bon attribut ?
et
- Es-ce que le fichier common.php est bien modifier correctement ?
exemple pour mon cas :
...
define('ROOT_WWW_ADMIN', 'http://pogo.ojn.nab/ojn_admin/');
define('ROOT_WWW_API', 'http://pogo.ojn.nab/ojn_api/');
define('ADMIN_EMAIL', 'webmaster@localhost');
...
Revenir en haut Aller en bas
http://www.nabaztag.fr
Hikkyu
Lapin nain
Lapin nain


Localisation : France
Nbr de messages : 12
Carottes : 3022

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Dim 12 Mai 2013 - 23:51

J'ai passé le port en 8070 mais je ne vois pas de changement :-/

quand au common.php il est bien modifié, j'ai ça:
Code:
define('ROOT_WWW_ADMIN', 'http://nab.loveindent.io/ojn_admin/');
define('ROOT_WWW_API', 'http://nab.loveindent.io/ojn_api/');
define('ADMIN_EMAIL', 'webmaster@localhost');

Toujours les erreurs php, il n'arrive pas à accéder au variables globale:
Code:
[Sun May 12 23:42:56 2013] [error] [client 82.224.78.128] PHP Notice:  Undefined index: connected_bunnies in /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 43
[Sun May 12 23:42:56 2013] [error] [client 82.224.78.128] PHP Notice:  Undefined index: bunnies in /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 43
[Sun May 12 23:42:56 2013] [error] [client 82.224.78.128] PHP Notice:  Undefined index: enabled_plugins in /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 44
[Sun May 12 23:42:56 2013] [error] [client 82.224.78.128] PHP Notice:  Undefined index: plugins in /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 44
[Sun May 12 23:42:56 2013] [error] [client 82.224.78.128] PHP Notice:  Undefined index: ztamps in /home/nabaztag/OpenJabNab/http-wrapper/ojn_admin/class/template.class.php on line 45
Revenir en haut Aller en bas
FastKey
Lapin nain
Lapin nain


Localisation : Paris
Nabaztag : Charly
Nbr de messages : 9
Carottes : 2804

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Lun 13 Mai 2013 - 21:26

Je vois une erreur dans ta configuration. Pas sûr que cela règle ton problème. Tu indiques que le port de ton serveur est 8070 mais tes url dans ton common.php utilise le port 80 par défaut. A toi de les modifier comme suit :

Code:
define('ROOT_WWW_ADMIN', 'http://nab.loveindent.io:8070/ojn_admin/');
define('ROOT_WWW_API', 'http://nab.loveindent.io:8070/ojn_api/');
define('ADMIN_EMAIL', 'webmaster@localhost');
Revenir en haut Aller en bas
Hikkyu
Lapin nain
Lapin nain


Localisation : France
Nbr de messages : 12
Carottes : 3022

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mar 14 Mai 2013 - 2:23

Ahaaaaaaaaaaa...

J'ai trouvé! J'avais plusieurs erreur en faite.
Ajouter le path complet dans le openjabnab.ini m'a rendu le lancement du serveur plus stable. Je le conseil donc.

Ensuite, mon port 8080 est écouté par défaut, je n'ai pas trouvé où mais je crois que c'est tomcat qui l'utilise.

Bref je l'ai changé en 8099. Sauf que dans le openjabnab.php le port est en dur.

Code:
$socket = fsockopen("127.0.0.1", 8099);

Il suffit donc de changer ce port :-)

Par contre il ne faut pas ajouter le port dans le common.php il n'arrive pas à trouver le fichier sinon
Revenir en haut Aller en bas
loloz3
Bronze Nabz
Bronze Nabz
avatar

Age : 44
Localisation : Montpellier
Nabaztag : loloz3 (v2) Alex34 (v2)
Nbr de messages : 116
Carottes : 3963

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 15 Mai 2013 - 23:06

Bravo, pas simple ! 10_sur_10
Revenir en haut Aller en bas
http://www.nabaztag.fr
Nimothenicefish
Lapin nain
Lapin nain


Localisation : Paris
Nbr de messages : 20
Carottes : 1265

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 4 Déc 2013 - 21:26

Je suis sur une distribution Mint, j'ai installer tous les paquets requis
Pour autant j'ai une erreur à la compilation sur le make:

Code:
plugininterface_inline.h:99:55: error: ‘class QString’ has no member named ‘toAscii’
In file included from /usr/include/qt5/QtCore/qvariant.h:48:0,
                from /usr/include/qt5/QtCore/QVariant:1,
                from apimanager.h:9,
                from httphandler.cpp:3:
/usr/include/qt5/QtCore/qmetatype.h: In instantiation of ‘struct QtPrivate::IsPointerToTypeDerivedFromQObject<Ztamp*>’:
/usr/include/qt5/QtCore/qmetatype.h:557:14:   required from ‘struct QtPrivate::QMetaTypeTypeFlags<Ztamp*>’
/usr/include/qt5/QtCore/qmetatype.h:590:71:   required from ‘int qRegisterNormalizedMetaType(const QByteArray&, T*, typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType) [with T = Ztamp*; typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType = QtPrivate::MetaTypeDefinedHelper<Ztamp*, true>::DefinedType]’
/usr/include/qt5/QtCore/qmetatype.h:618:77:   required from ‘int qRegisterMetaType(const char*, T*, typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType) [with T = Ztamp*; typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType = QtPrivate::MetaTypeDefinedHelper<Ztamp*, true>::DefinedType]’
ztamp.h:106:1:   required from here
/usr/include/qt5/QtCore/qmetatype.h:465:14: error: ‘QObject’ is an inaccessible base of ‘Ztamp’
/usr/include/qt5/QtCore/qmetatype.h: In instantiation of ‘struct QtPrivate::IsPointerToTypeDerivedFromQObject<Bunny*>’:
/usr/include/qt5/QtCore/qmetatype.h:557:14:   required from ‘struct QtPrivate::QMetaTypeTypeFlags<Bunny*>’
/usr/include/qt5/QtCore/qmetatype.h:590:71:   required from ‘int qRegisterNormalizedMetaType(const QByteArray&, T*, typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType) [with T = Bunny*; typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType = QtPrivate::MetaTypeDefinedHelper<Bunny*, true>::DefinedType]’
/usr/include/qt5/QtCore/qmetatype.h:618:77:   required from ‘int qRegisterMetaType(const char*, T*, typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType) [with T = Bunny*; typename QtPrivate::MetaTypeDefinedHelper<T, (QMetaTypeId2<T>::Defined && (! QMetaTypeId2<T>::IsBuiltIn))>::DefinedType = QtPrivate::MetaTypeDefinedHelper<Bunny*, true>::DefinedType]’
bunny.h:212:1:   required from here
/usr/include/qt5/QtCore/qmetatype.h:465:14: error: ‘QObject’ is an inaccessible base of ‘Bunny’
make[1]: *** [tmp/obj/httphandler.o] Error 1
make[1]: Leaving directory `/var/www/OpenJabNab/server/lib'
make: *** [sub-lib-make_first-ordered] Error 2

quelqu'un pourrait m'aider ? yellownabzsad
Revenir en haut Aller en bas
Pixel du Rezo
Special Nabz
Special Nabz


Age : 37
Localisation : Montpellier
Nabaztag : Ptiloo (V1), Kymoo (V2), Mymoo (V2), Lyloo (V2), Maryloo (V2), Faitoo (V2), Titoo (V2), Kachoo (Karotz)
Nbr de messages : 2708
Carottes : 10578

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 4 Déc 2013 - 22:33

Je t'ai répondu dans le sujet que tu as ouvert...

_____________________________


Toutes les infos sur mon serveur openJabNab sont sur mon wiki nabaztag/tag et openJabnab
Revenir en haut Aller en bas
http://openjabnab.fr/
Nimothenicefish
Lapin nain
Lapin nain


Localisation : Paris
Nbr de messages : 20
Carottes : 1265

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mer 4 Déc 2013 - 23:19

répondu de même yellownabzsmile
Revenir en haut Aller en bas
Nimothenicefish
Lapin nain
Lapin nain


Localisation : Paris
Nbr de messages : 20
Carottes : 1265

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Mar 10 Déc 2013 - 21:43

le sujet est toujours en cours : http://nabaztag.forumactif.fr/t14784-install-local-erreur-compilation#375344 si quelqu'un peut m'aider yellownabzsad
Revenir en haut Aller en bas
Nimothenicefish
Lapin nain
Lapin nain


Localisation : Paris
Nbr de messages : 20
Carottes : 1265

MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   Lun 16 Déc 2013 - 23:37

problème résolu yellownabzsmile
Revenir en haut Aller en bas
Contenu sponsorisé




MessageSujet: Re: Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.   

Revenir en haut Aller en bas
 
Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.
Voir le sujet précédent Voir le sujet suivant Revenir en haut 
Page 1 sur 1
 Sujets similaires
-
» Tutoriel d'installation serveur OpenJabNab sur un debian Squeeze.
» Tutoriel d'installation d'OpenJabNab sur un serveur Ubuntu Lamp (installation pas à pas de 0)
» [Tuto] installation d'OpenJabNab sur un Pogoplug
» [Tuto] Installation d'OpenJabNab sur un Raspberry Pi
» Serveur openJabNab [OJN]

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
Forum des Objets Communicants et Solutions pour les Libérer... :: II. Nabaztag, Karotz, mir:ror, Dal:Dal (Violet Object Operating System) :: Les Nabaztags sont sauvés ! Les solutions... :: [OJN] OpenJabNab-
Sauter vers: